ISPConfig 3.0.4 released

Discussion in 'General' started by till, Nov 2, 2011.

  1. skoena

    skoena Member

  2. till

    till Super Moderator

    Feeds normally dont get overwritten during updates. But as you might have noticed, there are new feed settings that did not exist in 3.0.3.3. So there was no old feed overwritten, the installer just set the feed in the new and empty settings.

    Tested your feed in IE and Chrome and it works fine for me, I dont get logged out.
     
  3. skoena

    skoena Member

    This only happens when I add an entry to the feed when I'm logged in.
    Can we test again? When you're ready and logged in I will add an entry to the feed and than you try to surf through ispconfig after that.
     
  4. till

    till Super Moderator

    Ok. I'am logged in now.
     
  5. skoena

    skoena Member

    Ok added an announcement to the feeed.
     
  6. till

    till Super Moderator

    Works for me, I dont get logged out. Seem s to be a issue with your browser, maybe the software where you add the feed interacts with the ispconfig session cookie because it is hosted on the same domain name then the ispconfig panel.
     
  7. skoena

    skoena Member

    Ok vielen dank for the help and for testing Till!
     
  8. vexcor

    vexcor New Member

    Backend problem

    We have similiar problem, after update from 3.0.3 backend interface doesnt work. We see only first login page. After login we see blank layout page without tabs as you can see in attachment. Before update everything worked without problem. We tried manual update too and problem still. Logs are ok without errors :( We tried other browsers (IE 8 and 9, Safari, Opera, Firefox) and same problem.
     

    Attached Files:

  9. falko

    falko Super Moderator

    Can you PM me the URL of your ISPConfig login so that I can test? I'd like to test if this is a local problem with your computer or a more general problem (it never happened during our tests).
     
  10. till

    till Super Moderator

    Do you use a custom theme? Ispconfig uses now jquery instead of yui, so all custom themes have to be changed to work with the new ispconfig version.
     
  11. vexcor

    vexcor New Member

    Yes problem was in theme. I changed theme in table sys_user to default theme and now work as before. Thanks for help.
     
  12. szucsati

    szucsati New Member

    Do I need php5-fpm to use ISPConfig /w nginx? I have a Debian 6 test machine, php6-fpm is not an official package. I would like to stick to official stable ones if possible.
     
  13. falko

    falko Super Moderator

    Yes, you need php-fpm and nginx >= 0.8.21. As Debian Squeeze does not meet these requirements, you either have to go with Debian Testing or Ubuntu.
     
  14. zenny

    zenny New Member

  15. zenny

    zenny New Member

    About SNI

    @Till: I read in your first post in this thread that 3.0.4 supports "SNI for Apache/nginx SSL certificates". Does that mean it makes necessary changes after installing mod_gnutls? Thanks for the great job!
     
  16. till

    till Super Moderator

    Current OpenSSL libraries should support SNI. So GnuTLS is not required anymore.

    Source: Wikipedia

    - Apache 2.2.12 or later with mod_ssl, OpenSSL ≧ 0.9.8f
     
  17. szucsati

    szucsati New Member

    Thanks, but I'd rather stick to official packages. Plus I tried these, but their mysql package doesn't install correctly.
     
  18. zenny

    zenny New Member

    @Till: I upgraded the httpd as well as the openssl manually and also ran the ISPConfig3's update.php script and all went well. But when I tried to create a ssl certificate from the ISPCOnfig3 panel, it goes well but nothing seems to have been created as the SSL Certificate field not only remained blank, but the webserver died. Or I just missed something.

    The error log follows:

    Please note that in Centos5, I patched the libraries from Version 6 openssl.




    @szucsati: I checked with the repository on several servers and it worked very well including mysql (but about three months back). Or you can just upgrade the packages that you need manually without using apt, but dpkg without upgrading mysql. I had to use dotdeb repository that needs to run some applications developed in YII framework which has a minimum requirement of php-5.3 which is not part of the upstream provider. ;-)
     
    Last edited: Nov 8, 2011
  19. zenny

    zenny New Member

    To solve above problem, I tried with:

    1) replacing the httpd.conf from the previous installation, didn't work! :-(
    2) removing the NameVirutalhost:*.80 NameVirtualhost: *.443 and Include lines and changed the Directory to /var/www from default /var/www/html, the webserver starts, but gave me the default apache index pages to my domains.
    3) So I did 'php -q update' with new ssl certificate, but when it reconfigures services, the running webserver fails with status like:

    :-(
     
  20. till

    till Super Moderator

    @zenny: Please make a new thread for your problem. The release thread is made to discuss new features of this release and not for support.
     

Share This Page